%define ver      0.8
%define rel      1
%define prefix   /usr
%define sysconfdir	/etc

Name:      rubrica
Summary:   Una rubrica per Gnome
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Gnome/Tools
Source:    rubrica-%{PACKAGE_VERSION}.tar.bz2
URL:       http://digilander.iol.it/nfragale
Vendor:    Nicola Fragale <nicolafragale@libero.it>
Packager:  Nicola Fragale <nicolafragale@libero.it>
BuildRoot: %{_tmppath}/%{name}-%{version}-buidroot
Requires:  glib >= 1.2.8
Requires:  gtk+ >= 1.2.8
Requires:  gnome-libs >= 1.2.11
Requires:  libxml >= 1.8.10
Requires:  GConf  >= 0.9

BuildRequires: glib-devel >= 1.2.8
BuildRequires: gtk+-devel >= 1.2.8
BuildRequires: gnome-libs-devel >= 1.2.11
BuildRequires: libxml-devel >= 1.8.10
BuildRequires: GConf-devel >= 0.9

%description
Una rubrica per gnome.
A Gnome address book

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
./configure --prefix=%{prefix}
make 
# RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

gconftool --shutdown
make install prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README COPYING AUTHORS examples.rub
%{prefix}/bin/*
%{prefix}/share/locale/*/LC_MESSAGES/rubrica.mo
%{prefix}/share/pixmaps/rubrica/*
%{sysconfdir}/gconf/schemas/rubrica.schemas

%post
gconftool --shutdown
GCONF_CONFIG_SOURCE=xml::%{sysconfdir}/gconf/gconf.xml.defaults 
gconftool --makefile-install-rule %{sysconfdir}/gconf/schemas/rubrica.schemas 2>/dev/null >/dev/null
gconftool --install-schema-file=%{sysconfdir}/gconf/schemas/rubrica.schemas 2>/dev/null >/dev/null
